Extending Qt Creator Manual | RefactoringFile

Extending Qt Creator Manual 4.5.2

# RefactoringFile Class

(TextEditor::RefactoringFile)

- List of all members, including inherited members

## Public Types

typedef | Range

## Public Functions

virtual | ~RefactoringFile()
void | appendIndentRange(const Range &range)
void | appendReindentRange(const Range &range)
void | apply()
QChar | charAt(int pos) const
const QTextCursor | cursor() const
const QTextDocument * | document() const
TextEditorWidget * | editor() const
QString | fileName() const
bool | isValid() const
void | lineAndColumn(int offset, unsigned *line, unsigned *column) const
int | position(unsigned line, unsigned column) const
void | setChangeSet(const Utils::ChangeSet &changeSet)
void | setOpenEditor(bool activate = false, int pos = -1)
QString | textOf(int start, int end) const
QString | textOf(const Range &range) const

## Protected Functions

| RefactoringFile(QTextDocument *document, const QString &fileName)
| RefactoringFile(TextEditorWidget *editor)
| RefactoringFile(const QString &fileName, const QSharedPointer<RefactoringChangesData> &data)
virtual void | fileChanged()
QTextDocument * | mutableDocument() const

## Member Type Documentation

### typedef RefactoringFile::Range

## Member Function Documentation

### `[protected]` RefactoringFile::RefactoringFile(QTextDocument *document, const QString &fileName)

Default constructs an instance of RefactoringFile.

### `[protected]` RefactoringFile::RefactoringFile(TextEditorWidget *editor)

Default constructs an instance of RefactoringFile.

### `[protected]` RefactoringFile::RefactoringFile(const QString &fileName, const QSharedPointer<RefactoringChangesData> &data)

Default constructs an instance of RefactoringFile.

### `[virtual]` RefactoringFile::~RefactoringFile()

Destroys the instance of RefactoringFile. The destructor is virtual.

### void RefactoringFile::appendIndentRange(const Range &range)

### void RefactoringFile::appendReindentRange(const Range &range)

### void RefactoringFile::apply()

### QChar RefactoringFile::charAt(int pos) const

### const QTextCursor RefactoringFile::cursor() const

### const QTextDocument *RefactoringFile::document() const

### TextEditorWidget *RefactoringFile::editor() const

### `[virtual protected]` void RefactoringFile::fileChanged()

### QString RefactoringFile::fileName() const

### bool RefactoringFile::isValid() const

### void RefactoringFile::lineAndColumn(int offset, unsigned *line, unsigned *column) const

### `[protected]` QTextDocument *RefactoringFile::mutableDocument() const

### int RefactoringFile::position(unsigned line, unsigned column) const

### void RefactoringFile::setChangeSet(const Utils::ChangeSet &changeSet)

### void RefactoringFile::setOpenEditor(bool activate = false, int pos = -1)

### QString RefactoringFile::textOf(int start, int end) const

### QString RefactoringFile::textOf(const Range &range) const